#include <bits/stdc++.h>
using namespace std;

long long A[300000], B, N, Q, L, R;

long long lb(long long l, long long r, long long g) {
    if(l==r) return l;
    long long m=(l+r)/2;
    if(A[m]<g) return lb(m+1, r, g);
    else return lb(l, m, g);
}

long long ub(long long l, long long r, long long g) {
    if(l==r) return l;
    long long m=(l+r+1)/2;
    if(A[m]<=g) return ub(m, r, g);
    else return ub(l, m-1, g);
}

int main() {
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    cin>>N>>Q;
    for(int i=1; i<=N; i++) cin>>A[i];
    sort(A+1, A+N+1);
    while(Q--) {
        cin>>B;
        if(A[N]<B) L=N+1;
        else L=lb(1, N, B);
        if(A[1]>B) R=0;
        else R=ub(1, N, B);
        if(L<=N/2+1&&R>=N/2+1) cout<<0<<'\n';
        else if(L>R&&R==(N+1)/2) cout<<1<<'\n';
        else if(N/2+1<L&&L<=R) cout<<2*(L-1)-N<<'\n';
        else if(L<=R&&R<N/2+1) cout<<N+1-2*R<<'\n';
        else if(L<(N+1)/2+1) cout<<N+3-2*L<<'\n';
        else cout<<2*(L-1)-N<<'\n';
    }
    return 0;
}